/*
Copyright 2004 John Tsiombikas <nuclear@siggraph.org>

This file is part of the X-Ray ray-tracing library.

X-Ray is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

X-Ray is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with X-Ray; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "raytracer.hpp"
#include "camera.hpp"
#include "animation.hpp"

using namespace xray;

TargetCamera::TargetCamera(const Vector3 &trans, const Vector3 &target) {
	SetPosition(trans);
	SetTarget(target);
	fov = quarter_pi;
}

TargetCamera::~TargetCamera() {}

void TargetCamera::SetTarget(const Vector3 &target) {
	this->target.SetPosition(target);
}

Vector3 TargetCamera::GetTarget() const {
	Animation anim = GetActiveXRayContext()->scene->GetAnimation();
	return target.GetPRS(anim.current_time).position;
}

void TargetCamera::Zoom(scalar_t factor) {
}

void TargetCamera::Roll(scalar_t angle) {
}
