/*
Copyright 2004 John Tsiombikas <nuclear@siggraph.org>

This file is part of the X-Ray ray-tracing library.

X-Ray is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

X-Ray is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with X-Ray; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/** @file camera.hpp */

#ifndef _CAMERA_HPP_
#define _CAMERA_HPP_

#include "gfx/base_cam.hpp"

namespace xray {
	typedef BaseCamera Camera;

	class TargetCamera : public BaseCamera {
	public:
		XFormNode target;

		TargetCamera(const Vector3 &trans = Vector3(0,0,-10), const Vector3 &target = Vector3(0,0,0));
		virtual ~TargetCamera();

		virtual void SetTarget(const Vector3 &target);
		virtual Vector3 GetTarget() const;

		virtual void Zoom(scalar_t factor);
		virtual void Roll(scalar_t angle);
	};
}


#endif	// _CAMERA_HPP_
